package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[服务容器]
 */
@Component("ionicdemo_ServiceContainerCodeList")
public class ServiceContainerCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_ServiceContainer");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("SC01");
		item0.setId("SC01");
		item0.setText("服务容器01");
		item0.setLabel("服务容器01");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("SC01",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("SC02");
		item1.setId("SC02");
		item1.setText("服务容器02");
		item1.setLabel("服务容器02");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("SC02",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("SC03");
		item2.setId("SC03");
		item2.setText("服务容器03");
		item2.setLabel("服务容器03");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("SC03",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("SC04");
		item3.setId("SC04");
		item3.setText("服务容器04");
		item3.setLabel("服务容器04");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("SC04",item3);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}